Novell Access Manager 3 Identity Server - 'IssueInstant' Cross-Site Scripting

EDB-ID:

29400


Author:

anonymous

Type:

remote


Platform:

Novell

Date:

2007-01-08


Become a Certified Penetration Tester

Enroll in Penetration Testing with Kali Linux and pass the exam to become an Offensive Security Certified Professional (OSCP). All new content for 2020.

GET CERTIFIED

source: https://www.securityfocus.com/bid/21921/info

Access Manager Identity Server is prone to a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input. 

An attacker may leverage this issue to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

GET /nidp/idff/sso?RequestID=1234&IssueInstant=<SCRIPT>alert("XSS");</SCRIPT>